## python-libnmap 0.7.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/libnmap.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/libnmap.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/libnmap"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/libnmap"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-libnmap 0.7.0

=== debian/changelog ===
python-libnmap (0.7.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.

 -- Andrey Rahmatullin <wrar@debian.org>  Tue, 13 Aug 2019 23:16:13 +0500

python-libnmap (0.7.0-1) unstable; urgency=medium

  * Initial release on debian (closes: #900320)
  * d/control: from kali to debian under DPMT team
  * Bump DH level to 11
  * Bump Standards-Version to 4.1.4.1
  * d/control: remove X-Python-Version field
  * d/copyright: update debian/* entry

 -- Samuel Henrique <samueloph@debian.org>  Sat, 02 Jun 2018 15:53:11 -0300

python-libnmap (0.7.0-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Mon, 22 May 2017 14:07:55 +0200

=== debian/control ===
Source: python-libnmap
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.4.1
Homepage: https://pypi.python.org/pypi/python-libnmap
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-libnmap
Vcs-Git: https://salsa.debian.org/python-team/modules/python-libnmap.git
Testsuite: autopkgtest-pkg-python

Package: python3-libnmap
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, nmap
Suggests: python-libnmap-doc, python3-pymongo, python3-sqlalchemy, python3-boto3
Description: Python 3 NMAP library
 This package contains a Python library enabling Python developers to
 manipulate nmap process and data:
    * automate or schedule nmap scans on a regular basis
    * manipulate nmap scans results to do reporting
    * compare and diff nmap scans to generate graphs
    * batch process scan reports
    * ...
 The lib currently offers the following modules:
    * process: enables you to launch nmap scans
    * parse: enables you to parse nmap reports or scan results (only XML so
      far) from a file, a string,…
    * report: enables you to manipulate a parsed scan result and de/serialize
      scan results in a json format
    * diff: enables you to see what changed between two scans
    * common: contains basic nmap objects like NmapHost and NmapService. It is
      to note that each object can be “diff()ed” with another similar object.
    * plugins: enables you to support datastores for your scan results directly
      in the “NmapReport” object. from report module:
        * mongodb: insert/get/getAll/delete
        * sqlalchemy: insert/get/getAll/delete
        * aws s3: insert/get/getAll/delete (not supported for Python3 since boto
          is not supporting py3)
 .
 This package installs the library for Python 3.

Package: python-libnmap-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python NMAP Library (common documentation)
 This package contains a Python library enabling Python developers to
 manipulate nmap process and data:
    * automate or schedule nmap scans on a regular basis
    * manipulate nmap scans results to do reporting
    * compare and diff nmap scans to generate graphs
    * batch process scan reports
    * ...
 The lib currently offers the following modules:
    * process: enables you to launch nmap scans
    * parse: enables you to parse nmap reports or scan results (only XML so
      far) from a file, a string,…
    * report: enables you to manipulate a parsed scan result and de/serialize
      scan results in a json format
    * diff: enables you to see what changed between two scans
    * common: contains basic nmap objects like NmapHost and NmapService. It is
      to note that each object can be “diff()ed” with another similar object.
    * plugins: enables you to support datastores for your scan results directly
      in the “NmapReport” object. from report module:
        * mongodb: insert/get/getAll/delete
        * sqlalchemy: insert/get/getAll/delete
        * aws s3: insert/get/getAll/delete (not supported for Python3 since boto
          is not supporting py3)
 .
 This is the common documentation package.

=== debian/watch ===
version=4
# PyPI
https://pypi.debian.net/python-libnmap/python-libnmap-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-libnmap 0.7.2

=== debian/changelog ===
python-libnmap (0.7.2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 0.7.2
  * Add d/gbp.conf
  * d/copyright: Reflect license change from CC-BY to Apache-2.0
  * Bump Standards-Version to 4.5.1
  * Bump DH to 13
  * d/control: Add space after comma
  * d/control: Add Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-libnmap-doc: Add Multi-Arch: foreign.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 21 Dec 2020 14:06:52 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: python-libnmap
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
-Build-Depends: debhelper-compat (= 11), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.1.4.1
+Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/python-libnmap
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-libnmap
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-libnmap.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libnmap
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-libnmap.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-libnmap
@@ -25,7 +26,7 @@
  The lib currently offers the following modules:
     * process: enables you to launch nmap scans
     * parse: enables you to parse nmap reports or scan results (only XML so
-      far) from a file, a string,…
+      far) from a file, a string, …
     * report: enables you to manipulate a parsed scan result and de/serialize
       scan results in a json format
     * diff: enables you to see what changed between two scans
@@ -44,6 +45,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: Python NMAP Library (common documentation)
  This package contains a Python library enabling Python developers to
  manipulate nmap process and data:
@@ -55,7 +57,7 @@
  The lib currently offers the following modules:
     * process: enables you to launch nmap scans
     * parse: enables you to parse nmap reports or scan results (only XML so
-      far) from a file, a string,…
+      far) from a file, a string, …
     * report: enables you to manipulate a parsed scan result and de/serialize
       scan results in a json format
     * diff: enables you to see what changed between two scans

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libnmap

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installdocs:
	dh_installdocs -ppython-libnmap-doc --doc-main-package=python3-libnmap
	dh_installdocs --remaining-packages

## python-libnmap 0.7.3

=== debian/changelog ===
python-libnmap (0.7.3-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Aquila Macedo ]
  * New upstream version 0.7.3
  * Add salsa-ci.yml
  * d/control:
    - bump Standards-Version to 4.6.2; no changes needed
    - update the Homepage field to point to the github upstream
  * d/copyright:
    - include author's copyright year
    - add myself to the debian/* copyright
  * d/patches:
    - add replace-distutils-with-setuptools.patch
    - add python3-interpreter.patch
  * d/watch: Point to github repo
  * d/examples: Add examples using dh_installexamples.

 -- Aquila Macedo Costa <aquilamacedo@riseup.net>  Fri, 15 Mar 2024 00:41:19 -0300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/python-libnmap
+Homepage: https://github.com/savon-noir/python-libnmap
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libnmap
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-libnmap.git
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=4
https://github.com/savon-noir/python-libnmap/tags .*/v(\d\S+)\.tar\.gz
